Update tenant member role
curl --request PATCH \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/tenant/{tenantId}/members/{memberId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/tenant/{tenantId}/members/{memberId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/tenant/{tenantId}/members/{memberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "<string>",
"role": "<string>",
"email": "<string>"
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}Tenants
Update tenant member role
PATCH
/
tenant
/
{tenantId}
/
members
/
{memberId}
Update tenant member role
Authorizations
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Path Parameters
Tenant identifier.
Tenant member (user) identifier.
Body
application/json
Available options:
SUPER_ADMIN, OWNER, ADMIN, USER, VIEWER